Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Interface TranscriptVariation

All Superinterfaces:
  Persistent, java.io.Serializable

public interface TranscriptVariation
extends Persistent

A TranscriptVariation object represents a variation feature which is in close proximity to an Ensembl transcript. A TranscriptVariation object has several attributes which define the relationship of the variation to the transcript.

Author:
  Craig Melsopp

Method Summary
`int` | `getCDNAend()` The end position of this variation on the transcript in cdna coordinates.
`int` | `getCDNAstart()` The start position of this variation on the transcript in CDNA coordinates.
`java.lang.String` | `getConsequenceType()` Consequence type of this transcript variation.
`java.lang.String` | `getPeptideAlleleString()` The pep allele string is a '/' delimited string of amino acid codes representing the change to the peptide made by this variation.
`Transcript` | `getTranscript()` Transcript that is affected by this TranscriptVariation.
`int` | `getTranslationEnd()` The end position of this variation on the translation of the associated transcript in peptide coordinates.
`int` | `getTranslationStart()` the start position of this variation on the translation of the associated transcript in peptide coordinates.
`VariationFeature` | `getVariationFeature()` VariationFeature associated with this transcript variation.

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getTranscript

    public Transcript getTranscript()

  Transcript that is affected by this TranscriptVariation.

  Returns:
    Transcript that is affected by this TranscriptVariation.

### getVariationFeature

    public VariationFeature getVariationFeature()

  VariationFeature associated with this transcript variation.

  Returns:
    VariationFeature associated with this transcript variation.

### getPeptideAlleleString

    public java.lang.String getPeptideAlleleString()

  The pep allele string is a '/' delimited string of amino acid codes representing the change to the peptide made by this variation. A '-' represents one half of a insertion/deletion. The reference allele (the one found in the ensembl peptide) should be first.

  Returns:
    peptide allele string.

### getCDNAstart

    public int getCDNAstart()

  The start position of this variation on the transcript in CDNA coordinates.

  Returns:
    the start position of this variation on the transcript in CDNA coordinates.

### getCDNAend

    public int getCDNAend()

  The end position of this variation on the transcript in cdna coordinates.

  Returns:
    end position of this variation on the transcript in cdna coordinates.

### getTranslationStart

    public int getTranslationStart()

  the start position of this variation on the translation of the associated transcript in peptide coordinates.

  Returns:
    start position of this variation on the translation of the associated transcript in peptide coordinates.

### getTranslationEnd

    public int getTranslationEnd()

  The end position of this variation on the translation of the associated transcript in peptide coordinates.

  Returns:
    end position of this variation on the translation of the associated transcript in peptide coordinates.

### getConsequenceType

    public java.lang.String getConsequenceType()

  Consequence type of this transcript variation.

  Returns:
    Consequence type of this transcript variation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD